cURL
curl --request GET \
--url https://sandbox.withclasp.com/plans/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/plans/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/plans/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"plan_name": "<string>",
"plan_type": "<string>",
"line_of_coverage": "accident",
"group": "<string>",
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"member_count": 123,
"dependent_count": 123,
"requires_primary_care_provider": true,
"plan_details": "<unknown>",
"plan_summary_url": "<string>",
"is_low_cost": true,
"provides_minimum_value": true,
"provides_essential_coverage": true,
"dependent_coverage_excluded": true,
"spouse_coverage_excluded": true,
"bundle": "<string>",
"premium_type": "composite",
"partner_dependents_eligible": true,
"child_dependents_eligible": true,
"voluntary_coverage_options": {},
"plan_configurations": [
"<string>"
],
"required_enrollment": true,
"hsa_eligible": true,
"is_pre_tax": true,
"cobra_eligible": true,
"max_contributing_children": 123,
"required_regions": [
"AL"
],
"minimum_hours_worked": 123,
"base_spouse_age_off_member": 123,
"age_calculation_method": "coverage_start_date",
"newly_available": true,
"allowed_employment_statuses": [
"full_time",
"part_time"
],
"union_eligible": true,
"seasonal_eligible": true,
"partner_enrollment_required": true,
"child_enrollment_required": true,
"create_payroll_benefits": true,
"metadata": {}
}Plans
Retrieve Plan
Retrieves details for a single plan.
GET
/
plans
/
{public_id}
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$accident- Accidentaccidental_death- Accidental Death and Dismembermentcancer- Cancercommuter_parking- Commuter Parkingcommuter_transit- Commuter Transitdental- Dentaldependent_care_fsa- Dependent Care Flexible Spending Accountemployee_assistance_program- Employee Assistance Programhealthcare_fsa- Healthcare Flexible Spending Accounthospital_indemnity- Hospital Indemnityhsa- Health Savings Accountlegal_services- Legal Serviceslife- Lifelimited_purpose_fsa- Limited Purpose Flexible Spending Accountlong_term_disability- Long Term Disabilitylump_sum_disability- Lump Sum Disabilitymedical- Medicalpet_insurance- Pet Insuranceshort_term_disability- Short Term Disabilitysupplemental- Supplementaltelemedicine- Telemedicinevision- Visionvoluntary_critical_illness- Voluntary Critical Illnessvoluntary_life- Voluntary Lifevoluntary_accidental_death- Voluntary Accidental Deathvoluntary_long_term_disability- Voluntary Long Term Disabilityvoluntary_ltd- Voluntary LTDvoluntary_short_term_disability- Voluntary Short Term Disability
Available options:
accident, accidental_death, cancer, commuter_parking, commuter_transit, dental, dependent_care_fsa, employee_assistance_program, healthcare_fsa, hospital_indemnity, hsa, legal_services, life, limited_purpose_fsa, long_term_disability, lump_sum_disability, medical, pet_insurance, short_term_disability, supplemental, telemedicine, vision, voluntary_critical_illness, voluntary_life, voluntary_accidental_death, voluntary_long_term_disability, voluntary_ltd, voluntary_short_term_disability Available options:
composite, age_banded, volume_based AL- ALAK- AKAZ- AZAR- ARCA- CACO- COCT- CTDE- DEDC- DCFL- FLGA- GAHI- HIID- IDIL- ILIN- INIA- IAKS- KSKY- KYLA- LAME- MEMD- MDMA- MAMI- MIMN- MNMS- MSMO- MOMT- MTNE- NENV- NVNH- NHNJ- NJNM- NMNY- NYNC- NCND- NDOH- OHOK- OKOR- ORPA- PARI- RISC- SCSD- SDTN- TNTX- TXUT- UTVT- VTVA- VAWA- WAWV- WVWI- WIWY- WY
Available options:
AL, AK, AZ, AR, CA, CO, CT, DE, DC, FL, GA, HI, ID, IL, IN, IA, KS, KY, LA, ME, MD, MA, MI, MN, MS, MO, MT, NE, NV, NH, NJ, NM, NY, NC, ND, OH, OK, OR, PA, RI, SC, SD, TN, TX, UT, VT, VA, WA, WV, WI, WY Available options:
coverage_start_date, plan_start_date full_time- Full Timepart_time- Part Timevariable_hours- Variable Hours
Available options:
full_time, part_time, variable_hours Up to 50 key-value pairs. Keys max 40 characters, values max 500 characters. Set a value to empty string to remove a key. On PATCH, metadata is merged with existing values.
Show child attributes
Show child attributes